IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network201.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
201.0.0.0- Broadcast address
201.255.255.255- First usable
201.0.0.1- Last usable
201.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
C9000000· Integer3372220416to3388997631 - Reverse DNS zone
201.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11001001..00000000.00000000.00000000 | 201.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 11001001..00000000.00000000.00000000 | 201.0.0.0 |
| Broadcast | 11001001..11111111.11111111.11111111 | 201.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
201.0.0.0/8 makes 256 subnets of /16.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 201.0.0.0/16 | 201.0.0.1 to 201.0.255.254 | 201.0.255.255 | 65,534 |
| 2 | 201.1.0.0/16 | 201.1.0.1 to 201.1.255.254 | 201.1.255.255 | 65,534 |
| 3 | 201.2.0.0/16 | 201.2.0.1 to 201.2.255.254 | 201.2.255.255 | 65,534 |
| 4 | 201.3.0.0/16 | 201.3.0.1 to 201.3.255.254 | 201.3.255.255 | 65,534 |
| 5 | 201.4.0.0/16 | 201.4.0.1 to 201.4.255.254 | 201.4.255.255 | 65,534 |
| 6 | 201.5.0.0/16 | 201.5.0.1 to 201.5.255.254 | 201.5.255.255 | 65,534 |
| 7 | 201.6.0.0/16 | 201.6.0.1 to 201.6.255.254 | 201.6.255.255 | 65,534 |
| 8 | 201.7.0.0/16 | 201.7.0.1 to 201.7.255.254 | 201.7.255.255 | 65,534 |
| 9 | 201.8.0.0/16 | 201.8.0.1 to 201.8.255.254 | 201.8.255.255 | 65,534 |
| 10 | 201.9.0.0/16 | 201.9.0.1 to 201.9.255.254 | 201.9.255.255 | 65,534 |
| 11 | 201.10.0.0/16 | 201.10.0.1 to 201.10.255.254 | 201.10.255.255 | 65,534 |
| 12 | 201.11.0.0/16 | 201.11.0.1 to 201.11.255.254 | 201.11.255.255 | 65,534 |
| 13 | 201.12.0.0/16 | 201.12.0.1 to 201.12.255.254 | 201.12.255.255 | 65,534 |
| 14 | 201.13.0.0/16 | 201.13.0.1 to 201.13.255.254 | 201.13.255.255 | 65,534 |
| 15 | 201.14.0.0/16 | 201.14.0.1 to 201.14.255.254 | 201.14.255.255 | 65,534 |
| 16 | 201.15.0.0/16 | 201.15.0.1 to 201.15.255.254 | 201.15.255.255 | 65,534 |
| 17 | 201.16.0.0/16 | 201.16.0.1 to 201.16.255.254 | 201.16.255.255 | 65,534 |
| 18 | 201.17.0.0/16 | 201.17.0.1 to 201.17.255.254 | 201.17.255.255 | 65,534 |
| 19 | 201.18.0.0/16 | 201.18.0.1 to 201.18.255.254 | 201.18.255.255 | 65,534 |
| 20 | 201.19.0.0/16 | 201.19.0.1 to 201.19.255.254 | 201.19.255.255 | 65,534 |
| 21 | 201.20.0.0/16 | 201.20.0.1 to 201.20.255.254 | 201.20.255.255 | 65,534 |
| 22 | 201.21.0.0/16 | 201.21.0.1 to 201.21.255.254 | 201.21.255.255 | 65,534 |
| 23 | 201.22.0.0/16 | 201.22.0.1 to 201.22.255.254 | 201.22.255.255 | 65,534 |
| 24 | 201.23.0.0/16 | 201.23.0.1 to 201.23.255.254 | 201.23.255.255 | 65,534 |
| 25 | 201.24.0.0/16 | 201.24.0.1 to 201.24.255.254 | 201.24.255.255 | 65,534 |
| 26 | 201.25.0.0/16 | 201.25.0.1 to 201.25.255.254 | 201.25.255.255 | 65,534 |
| 27 | 201.26.0.0/16 | 201.26.0.1 to 201.26.255.254 | 201.26.255.255 | 65,534 |
| 28 | 201.27.0.0/16 | 201.27.0.1 to 201.27.255.254 | 201.27.255.255 | 65,534 |
| 29 | 201.28.0.0/16 | 201.28.0.1 to 201.28.255.254 | 201.28.255.255 | 65,534 |
| 30 | 201.29.0.0/16 | 201.29.0.1 to 201.29.255.254 | 201.29.255.255 | 65,534 |
| 31 | 201.30.0.0/16 | 201.30.0.1 to 201.30.255.254 | 201.30.255.255 | 65,534 |
| 32 | 201.31.0.0/16 | 201.31.0.1 to 201.31.255.254 | 201.31.255.255 | 65,534 |
| 33 | 201.32.0.0/16 | 201.32.0.1 to 201.32.255.254 | 201.32.255.255 | 65,534 |
| 34 | 201.33.0.0/16 | 201.33.0.1 to 201.33.255.254 | 201.33.255.255 | 65,534 |
| 35 | 201.34.0.0/16 | 201.34.0.1 to 201.34.255.254 | 201.34.255.255 | 65,534 |
| 36 | 201.35.0.0/16 | 201.35.0.1 to 201.35.255.254 | 201.35.255.255 | 65,534 |
| 37 | 201.36.0.0/16 | 201.36.0.1 to 201.36.255.254 | 201.36.255.255 | 65,534 |
| 38 | 201.37.0.0/16 | 201.37.0.1 to 201.37.255.254 | 201.37.255.255 | 65,534 |
| 39 | 201.38.0.0/16 | 201.38.0.1 to 201.38.255.254 | 201.38.255.255 | 65,534 |
| 40 | 201.39.0.0/16 | 201.39.0.1 to 201.39.255.254 | 201.39.255.255 | 65,534 |
| 41 | 201.40.0.0/16 | 201.40.0.1 to 201.40.255.254 | 201.40.255.255 | 65,534 |
| 42 | 201.41.0.0/16 | 201.41.0.1 to 201.41.255.254 | 201.41.255.255 | 65,534 |
| 43 | 201.42.0.0/16 | 201.42.0.1 to 201.42.255.254 | 201.42.255.255 | 65,534 |
| 44 | 201.43.0.0/16 | 201.43.0.1 to 201.43.255.254 | 201.43.255.255 | 65,534 |
| 45 | 201.44.0.0/16 | 201.44.0.1 to 201.44.255.254 | 201.44.255.255 | 65,534 |
| 46 | 201.45.0.0/16 | 201.45.0.1 to 201.45.255.254 | 201.45.255.255 | 65,534 |
| 47 | 201.46.0.0/16 | 201.46.0.1 to 201.46.255.254 | 201.46.255.255 | 65,534 |
| 48 | 201.47.0.0/16 | 201.47.0.1 to 201.47.255.254 | 201.47.255.255 | 65,534 |
| 49 | 201.48.0.0/16 | 201.48.0.1 to 201.48.255.254 | 201.48.255.255 | 65,534 |
| 50 | 201.49.0.0/16 | 201.49.0.1 to 201.49.255.254 | 201.49.255.255 | 65,534 |
| 51 | 201.50.0.0/16 | 201.50.0.1 to 201.50.255.254 | 201.50.255.255 | 65,534 |
| 52 | 201.51.0.0/16 | 201.51.0.1 to 201.51.255.254 | 201.51.255.255 | 65,534 |
| 53 | 201.52.0.0/16 | 201.52.0.1 to 201.52.255.254 | 201.52.255.255 | 65,534 |
| 54 | 201.53.0.0/16 | 201.53.0.1 to 201.53.255.254 | 201.53.255.255 | 65,534 |
| 55 | 201.54.0.0/16 | 201.54.0.1 to 201.54.255.254 | 201.54.255.255 | 65,534 |
| 56 | 201.55.0.0/16 | 201.55.0.1 to 201.55.255.254 | 201.55.255.255 | 65,534 |
| 57 | 201.56.0.0/16 | 201.56.0.1 to 201.56.255.254 | 201.56.255.255 | 65,534 |
| 58 | 201.57.0.0/16 | 201.57.0.1 to 201.57.255.254 | 201.57.255.255 | 65,534 |
| 59 | 201.58.0.0/16 | 201.58.0.1 to 201.58.255.254 | 201.58.255.255 | 65,534 |
| 60 | 201.59.0.0/16 | 201.59.0.1 to 201.59.255.254 | 201.59.255.255 | 65,534 |
| 61 | 201.60.0.0/16 | 201.60.0.1 to 201.60.255.254 | 201.60.255.255 | 65,534 |
| 62 | 201.61.0.0/16 | 201.61.0.1 to 201.61.255.254 | 201.61.255.255 | 65,534 |
| 63 | 201.62.0.0/16 | 201.62.0.1 to 201.62.255.254 | 201.62.255.255 | 65,534 |
| 64 | 201.63.0.0/16 | 201.63.0.1 to 201.63.255.254 | 201.63.255.255 | 65,534 |
| 65 | 201.64.0.0/16 | 201.64.0.1 to 201.64.255.254 | 201.64.255.255 | 65,534 |
| 66 | 201.65.0.0/16 | 201.65.0.1 to 201.65.255.254 | 201.65.255.255 | 65,534 |
| 67 | 201.66.0.0/16 | 201.66.0.1 to 201.66.255.254 | 201.66.255.255 | 65,534 |
| 68 | 201.67.0.0/16 | 201.67.0.1 to 201.67.255.254 | 201.67.255.255 | 65,534 |
| 69 | 201.68.0.0/16 | 201.68.0.1 to 201.68.255.254 | 201.68.255.255 | 65,534 |
| 70 | 201.69.0.0/16 | 201.69.0.1 to 201.69.255.254 | 201.69.255.255 | 65,534 |
| 71 | 201.70.0.0/16 | 201.70.0.1 to 201.70.255.254 | 201.70.255.255 | 65,534 |
| 72 | 201.71.0.0/16 | 201.71.0.1 to 201.71.255.254 | 201.71.255.255 | 65,534 |
| 73 | 201.72.0.0/16 | 201.72.0.1 to 201.72.255.254 | 201.72.255.255 | 65,534 |
| 74 | 201.73.0.0/16 | 201.73.0.1 to 201.73.255.254 | 201.73.255.255 | 65,534 |
| 75 | 201.74.0.0/16 | 201.74.0.1 to 201.74.255.254 | 201.74.255.255 | 65,534 |
| 76 | 201.75.0.0/16 | 201.75.0.1 to 201.75.255.254 | 201.75.255.255 | 65,534 |
| 77 | 201.76.0.0/16 | 201.76.0.1 to 201.76.255.254 | 201.76.255.255 | 65,534 |
| 78 | 201.77.0.0/16 | 201.77.0.1 to 201.77.255.254 | 201.77.255.255 | 65,534 |
| 79 | 201.78.0.0/16 | 201.78.0.1 to 201.78.255.254 | 201.78.255.255 | 65,534 |
| 80 | 201.79.0.0/16 | 201.79.0.1 to 201.79.255.254 | 201.79.255.255 | 65,534 |
| 81 | 201.80.0.0/16 | 201.80.0.1 to 201.80.255.254 | 201.80.255.255 | 65,534 |
| 82 | 201.81.0.0/16 | 201.81.0.1 to 201.81.255.254 | 201.81.255.255 | 65,534 |
| 83 | 201.82.0.0/16 | 201.82.0.1 to 201.82.255.254 | 201.82.255.255 | 65,534 |
| 84 | 201.83.0.0/16 | 201.83.0.1 to 201.83.255.254 | 201.83.255.255 | 65,534 |
| 85 | 201.84.0.0/16 | 201.84.0.1 to 201.84.255.254 | 201.84.255.255 | 65,534 |
| 86 | 201.85.0.0/16 | 201.85.0.1 to 201.85.255.254 | 201.85.255.255 | 65,534 |
| 87 | 201.86.0.0/16 | 201.86.0.1 to 201.86.255.254 | 201.86.255.255 | 65,534 |
| 88 | 201.87.0.0/16 | 201.87.0.1 to 201.87.255.254 | 201.87.255.255 | 65,534 |
| 89 | 201.88.0.0/16 | 201.88.0.1 to 201.88.255.254 | 201.88.255.255 | 65,534 |
| 90 | 201.89.0.0/16 | 201.89.0.1 to 201.89.255.254 | 201.89.255.255 | 65,534 |
| 91 | 201.90.0.0/16 | 201.90.0.1 to 201.90.255.254 | 201.90.255.255 | 65,534 |
| 92 | 201.91.0.0/16 | 201.91.0.1 to 201.91.255.254 | 201.91.255.255 | 65,534 |
| 93 | 201.92.0.0/16 | 201.92.0.1 to 201.92.255.254 | 201.92.255.255 | 65,534 |
| 94 | 201.93.0.0/16 | 201.93.0.1 to 201.93.255.254 | 201.93.255.255 | 65,534 |
| 95 | 201.94.0.0/16 | 201.94.0.1 to 201.94.255.254 | 201.94.255.255 | 65,534 |
| 96 | 201.95.0.0/16 | 201.95.0.1 to 201.95.255.254 | 201.95.255.255 | 65,534 |
| 97 | 201.96.0.0/16 | 201.96.0.1 to 201.96.255.254 | 201.96.255.255 | 65,534 |
| 98 | 201.97.0.0/16 | 201.97.0.1 to 201.97.255.254 | 201.97.255.255 | 65,534 |
| 99 | 201.98.0.0/16 | 201.98.0.1 to 201.98.255.254 | 201.98.255.255 | 65,534 |
| 100 | 201.99.0.0/16 | 201.99.0.1 to 201.99.255.254 | 201.99.255.255 | 65,534 |
| 101 | 201.100.0.0/16 | 201.100.0.1 to 201.100.255.254 | 201.100.255.255 | 65,534 |
| 102 | 201.101.0.0/16 | 201.101.0.1 to 201.101.255.254 | 201.101.255.255 | 65,534 |
| 103 | 201.102.0.0/16 | 201.102.0.1 to 201.102.255.254 | 201.102.255.255 | 65,534 |
| 104 | 201.103.0.0/16 | 201.103.0.1 to 201.103.255.254 | 201.103.255.255 | 65,534 |
| 105 | 201.104.0.0/16 | 201.104.0.1 to 201.104.255.254 | 201.104.255.255 | 65,534 |
| 106 | 201.105.0.0/16 | 201.105.0.1 to 201.105.255.254 | 201.105.255.255 | 65,534 |
| 107 | 201.106.0.0/16 | 201.106.0.1 to 201.106.255.254 | 201.106.255.255 | 65,534 |
| 108 | 201.107.0.0/16 | 201.107.0.1 to 201.107.255.254 | 201.107.255.255 | 65,534 |
| 109 | 201.108.0.0/16 | 201.108.0.1 to 201.108.255.254 | 201.108.255.255 | 65,534 |
| 110 | 201.109.0.0/16 | 201.109.0.1 to 201.109.255.254 | 201.109.255.255 | 65,534 |
| 111 | 201.110.0.0/16 | 201.110.0.1 to 201.110.255.254 | 201.110.255.255 | 65,534 |
| 112 | 201.111.0.0/16 | 201.111.0.1 to 201.111.255.254 | 201.111.255.255 | 65,534 |
| 113 | 201.112.0.0/16 | 201.112.0.1 to 201.112.255.254 | 201.112.255.255 | 65,534 |
| 114 | 201.113.0.0/16 | 201.113.0.1 to 201.113.255.254 | 201.113.255.255 | 65,534 |
| 115 | 201.114.0.0/16 | 201.114.0.1 to 201.114.255.254 | 201.114.255.255 | 65,534 |
| 116 | 201.115.0.0/16 | 201.115.0.1 to 201.115.255.254 | 201.115.255.255 | 65,534 |
| 117 | 201.116.0.0/16 | 201.116.0.1 to 201.116.255.254 | 201.116.255.255 | 65,534 |
| 118 | 201.117.0.0/16 | 201.117.0.1 to 201.117.255.254 | 201.117.255.255 | 65,534 |
| 119 | 201.118.0.0/16 | 201.118.0.1 to 201.118.255.254 | 201.118.255.255 | 65,534 |
| 120 | 201.119.0.0/16 | 201.119.0.1 to 201.119.255.254 | 201.119.255.255 | 65,534 |
| 121 | 201.120.0.0/16 | 201.120.0.1 to 201.120.255.254 | 201.120.255.255 | 65,534 |
| 122 | 201.121.0.0/16 | 201.121.0.1 to 201.121.255.254 | 201.121.255.255 | 65,534 |
| 123 | 201.122.0.0/16 | 201.122.0.1 to 201.122.255.254 | 201.122.255.255 | 65,534 |
| 124 | 201.123.0.0/16 | 201.123.0.1 to 201.123.255.254 | 201.123.255.255 | 65,534 |
| 125 | 201.124.0.0/16 | 201.124.0.1 to 201.124.255.254 | 201.124.255.255 | 65,534 |
| 126 | 201.125.0.0/16 | 201.125.0.1 to 201.125.255.254 | 201.125.255.255 | 65,534 |
| 127 | 201.126.0.0/16 | 201.126.0.1 to 201.126.255.254 | 201.126.255.255 | 65,534 |
| 128 | 201.127.0.0/16 | 201.127.0.1 to 201.127.255.254 | 201.127.255.255 | 65,534 |
| 129 | 201.128.0.0/16 | 201.128.0.1 to 201.128.255.254 | 201.128.255.255 | 65,534 |
| 130 | 201.129.0.0/16 | 201.129.0.1 to 201.129.255.254 | 201.129.255.255 | 65,534 |
| 131 | 201.130.0.0/16 | 201.130.0.1 to 201.130.255.254 | 201.130.255.255 | 65,534 |
| 132 | 201.131.0.0/16 | 201.131.0.1 to 201.131.255.254 | 201.131.255.255 | 65,534 |
| 133 | 201.132.0.0/16 | 201.132.0.1 to 201.132.255.254 | 201.132.255.255 | 65,534 |
| 134 | 201.133.0.0/16 | 201.133.0.1 to 201.133.255.254 | 201.133.255.255 | 65,534 |
| 135 | 201.134.0.0/16 | 201.134.0.1 to 201.134.255.254 | 201.134.255.255 | 65,534 |
| 136 | 201.135.0.0/16 | 201.135.0.1 to 201.135.255.254 | 201.135.255.255 | 65,534 |
| 137 | 201.136.0.0/16 | 201.136.0.1 to 201.136.255.254 | 201.136.255.255 | 65,534 |
| 138 | 201.137.0.0/16 | 201.137.0.1 to 201.137.255.254 | 201.137.255.255 | 65,534 |
| 139 | 201.138.0.0/16 | 201.138.0.1 to 201.138.255.254 | 201.138.255.255 | 65,534 |
| 140 | 201.139.0.0/16 | 201.139.0.1 to 201.139.255.254 | 201.139.255.255 | 65,534 |
| 141 | 201.140.0.0/16 | 201.140.0.1 to 201.140.255.254 | 201.140.255.255 | 65,534 |
| 142 | 201.141.0.0/16 | 201.141.0.1 to 201.141.255.254 | 201.141.255.255 | 65,534 |
| 143 | 201.142.0.0/16 | 201.142.0.1 to 201.142.255.254 | 201.142.255.255 | 65,534 |
| 144 | 201.143.0.0/16 | 201.143.0.1 to 201.143.255.254 | 201.143.255.255 | 65,534 |
| 145 | 201.144.0.0/16 | 201.144.0.1 to 201.144.255.254 | 201.144.255.255 | 65,534 |
| 146 | 201.145.0.0/16 | 201.145.0.1 to 201.145.255.254 | 201.145.255.255 | 65,534 |
| 147 | 201.146.0.0/16 | 201.146.0.1 to 201.146.255.254 | 201.146.255.255 | 65,534 |
| 148 | 201.147.0.0/16 | 201.147.0.1 to 201.147.255.254 | 201.147.255.255 | 65,534 |
| 149 | 201.148.0.0/16 | 201.148.0.1 to 201.148.255.254 | 201.148.255.255 | 65,534 |
| 150 | 201.149.0.0/16 | 201.149.0.1 to 201.149.255.254 | 201.149.255.255 | 65,534 |
| 151 | 201.150.0.0/16 | 201.150.0.1 to 201.150.255.254 | 201.150.255.255 | 65,534 |
| 152 | 201.151.0.0/16 | 201.151.0.1 to 201.151.255.254 | 201.151.255.255 | 65,534 |
| 153 | 201.152.0.0/16 | 201.152.0.1 to 201.152.255.254 | 201.152.255.255 | 65,534 |
| 154 | 201.153.0.0/16 | 201.153.0.1 to 201.153.255.254 | 201.153.255.255 | 65,534 |
| 155 | 201.154.0.0/16 | 201.154.0.1 to 201.154.255.254 | 201.154.255.255 | 65,534 |
| 156 | 201.155.0.0/16 | 201.155.0.1 to 201.155.255.254 | 201.155.255.255 | 65,534 |
| 157 | 201.156.0.0/16 | 201.156.0.1 to 201.156.255.254 | 201.156.255.255 | 65,534 |
| 158 | 201.157.0.0/16 | 201.157.0.1 to 201.157.255.254 | 201.157.255.255 | 65,534 |
| 159 | 201.158.0.0/16 | 201.158.0.1 to 201.158.255.254 | 201.158.255.255 | 65,534 |
| 160 | 201.159.0.0/16 | 201.159.0.1 to 201.159.255.254 | 201.159.255.255 | 65,534 |
| 161 | 201.160.0.0/16 | 201.160.0.1 to 201.160.255.254 | 201.160.255.255 | 65,534 |
| 162 | 201.161.0.0/16 | 201.161.0.1 to 201.161.255.254 | 201.161.255.255 | 65,534 |
| 163 | 201.162.0.0/16 | 201.162.0.1 to 201.162.255.254 | 201.162.255.255 | 65,534 |
| 164 | 201.163.0.0/16 | 201.163.0.1 to 201.163.255.254 | 201.163.255.255 | 65,534 |
| 165 | 201.164.0.0/16 | 201.164.0.1 to 201.164.255.254 | 201.164.255.255 | 65,534 |
| 166 | 201.165.0.0/16 | 201.165.0.1 to 201.165.255.254 | 201.165.255.255 | 65,534 |
| 167 | 201.166.0.0/16 | 201.166.0.1 to 201.166.255.254 | 201.166.255.255 | 65,534 |
| 168 | 201.167.0.0/16 | 201.167.0.1 to 201.167.255.254 | 201.167.255.255 | 65,534 |
| 169 | 201.168.0.0/16 | 201.168.0.1 to 201.168.255.254 | 201.168.255.255 | 65,534 |
| 170 | 201.169.0.0/16 | 201.169.0.1 to 201.169.255.254 | 201.169.255.255 | 65,534 |
| 171 | 201.170.0.0/16 | 201.170.0.1 to 201.170.255.254 | 201.170.255.255 | 65,534 |
| 172 | 201.171.0.0/16 | 201.171.0.1 to 201.171.255.254 | 201.171.255.255 | 65,534 |
| 173 | 201.172.0.0/16 | 201.172.0.1 to 201.172.255.254 | 201.172.255.255 | 65,534 |
| 174 | 201.173.0.0/16 | 201.173.0.1 to 201.173.255.254 | 201.173.255.255 | 65,534 |
| 175 | 201.174.0.0/16 | 201.174.0.1 to 201.174.255.254 | 201.174.255.255 | 65,534 |
| 176 | 201.175.0.0/16 | 201.175.0.1 to 201.175.255.254 | 201.175.255.255 | 65,534 |
| 177 | 201.176.0.0/16 | 201.176.0.1 to 201.176.255.254 | 201.176.255.255 | 65,534 |
| 178 | 201.177.0.0/16 | 201.177.0.1 to 201.177.255.254 | 201.177.255.255 | 65,534 |
| 179 | 201.178.0.0/16 | 201.178.0.1 to 201.178.255.254 | 201.178.255.255 | 65,534 |
| 180 | 201.179.0.0/16 | 201.179.0.1 to 201.179.255.254 | 201.179.255.255 | 65,534 |
| 181 | 201.180.0.0/16 | 201.180.0.1 to 201.180.255.254 | 201.180.255.255 | 65,534 |
| 182 | 201.181.0.0/16 | 201.181.0.1 to 201.181.255.254 | 201.181.255.255 | 65,534 |
| 183 | 201.182.0.0/16 | 201.182.0.1 to 201.182.255.254 | 201.182.255.255 | 65,534 |
| 184 | 201.183.0.0/16 | 201.183.0.1 to 201.183.255.254 | 201.183.255.255 | 65,534 |
| 185 | 201.184.0.0/16 | 201.184.0.1 to 201.184.255.254 | 201.184.255.255 | 65,534 |
| 186 | 201.185.0.0/16 | 201.185.0.1 to 201.185.255.254 | 201.185.255.255 | 65,534 |
| 187 | 201.186.0.0/16 | 201.186.0.1 to 201.186.255.254 | 201.186.255.255 | 65,534 |
| 188 | 201.187.0.0/16 | 201.187.0.1 to 201.187.255.254 | 201.187.255.255 | 65,534 |
| 189 | 201.188.0.0/16 | 201.188.0.1 to 201.188.255.254 | 201.188.255.255 | 65,534 |
| 190 | 201.189.0.0/16 | 201.189.0.1 to 201.189.255.254 | 201.189.255.255 | 65,534 |
| 191 | 201.190.0.0/16 | 201.190.0.1 to 201.190.255.254 | 201.190.255.255 | 65,534 |
| 192 | 201.191.0.0/16 | 201.191.0.1 to 201.191.255.254 | 201.191.255.255 | 65,534 |
| 193 | 201.192.0.0/16 | 201.192.0.1 to 201.192.255.254 | 201.192.255.255 | 65,534 |
| 194 | 201.193.0.0/16 | 201.193.0.1 to 201.193.255.254 | 201.193.255.255 | 65,534 |
| 195 | 201.194.0.0/16 | 201.194.0.1 to 201.194.255.254 | 201.194.255.255 | 65,534 |
| 196 | 201.195.0.0/16 | 201.195.0.1 to 201.195.255.254 | 201.195.255.255 | 65,534 |
| 197 | 201.196.0.0/16 | 201.196.0.1 to 201.196.255.254 | 201.196.255.255 | 65,534 |
| 198 | 201.197.0.0/16 | 201.197.0.1 to 201.197.255.254 | 201.197.255.255 | 65,534 |
| 199 | 201.198.0.0/16 | 201.198.0.1 to 201.198.255.254 | 201.198.255.255 | 65,534 |
| 200 | 201.199.0.0/16 | 201.199.0.1 to 201.199.255.254 | 201.199.255.255 | 65,534 |
| 201 | 201.200.0.0/16 | 201.200.0.1 to 201.200.255.254 | 201.200.255.255 | 65,534 |
| 202 | 201.201.0.0/16 | 201.201.0.1 to 201.201.255.254 | 201.201.255.255 | 65,534 |
| 203 | 201.202.0.0/16 | 201.202.0.1 to 201.202.255.254 | 201.202.255.255 | 65,534 |
| 204 | 201.203.0.0/16 | 201.203.0.1 to 201.203.255.254 | 201.203.255.255 | 65,534 |
| 205 | 201.204.0.0/16 | 201.204.0.1 to 201.204.255.254 | 201.204.255.255 | 65,534 |
| 206 | 201.205.0.0/16 | 201.205.0.1 to 201.205.255.254 | 201.205.255.255 | 65,534 |
| 207 | 201.206.0.0/16 | 201.206.0.1 to 201.206.255.254 | 201.206.255.255 | 65,534 |
| 208 | 201.207.0.0/16 | 201.207.0.1 to 201.207.255.254 | 201.207.255.255 | 65,534 |
| 209 | 201.208.0.0/16 | 201.208.0.1 to 201.208.255.254 | 201.208.255.255 | 65,534 |
| 210 | 201.209.0.0/16 | 201.209.0.1 to 201.209.255.254 | 201.209.255.255 | 65,534 |
| 211 | 201.210.0.0/16 | 201.210.0.1 to 201.210.255.254 | 201.210.255.255 | 65,534 |
| 212 | 201.211.0.0/16 | 201.211.0.1 to 201.211.255.254 | 201.211.255.255 | 65,534 |
| 213 | 201.212.0.0/16 | 201.212.0.1 to 201.212.255.254 | 201.212.255.255 | 65,534 |
| 214 | 201.213.0.0/16 | 201.213.0.1 to 201.213.255.254 | 201.213.255.255 | 65,534 |
| 215 | 201.214.0.0/16 | 201.214.0.1 to 201.214.255.254 | 201.214.255.255 | 65,534 |
| 216 | 201.215.0.0/16 | 201.215.0.1 to 201.215.255.254 | 201.215.255.255 | 65,534 |
| 217 | 201.216.0.0/16 | 201.216.0.1 to 201.216.255.254 | 201.216.255.255 | 65,534 |
| 218 | 201.217.0.0/16 | 201.217.0.1 to 201.217.255.254 | 201.217.255.255 | 65,534 |
| 219 | 201.218.0.0/16 | 201.218.0.1 to 201.218.255.254 | 201.218.255.255 | 65,534 |
| 220 | 201.219.0.0/16 | 201.219.0.1 to 201.219.255.254 | 201.219.255.255 | 65,534 |
| 221 | 201.220.0.0/16 | 201.220.0.1 to 201.220.255.254 | 201.220.255.255 | 65,534 |
| 222 | 201.221.0.0/16 | 201.221.0.1 to 201.221.255.254 | 201.221.255.255 | 65,534 |
| 223 | 201.222.0.0/16 | 201.222.0.1 to 201.222.255.254 | 201.222.255.255 | 65,534 |
| 224 | 201.223.0.0/16 | 201.223.0.1 to 201.223.255.254 | 201.223.255.255 | 65,534 |
| 225 | 201.224.0.0/16 | 201.224.0.1 to 201.224.255.254 | 201.224.255.255 | 65,534 |
| 226 | 201.225.0.0/16 | 201.225.0.1 to 201.225.255.254 | 201.225.255.255 | 65,534 |
| 227 | 201.226.0.0/16 | 201.226.0.1 to 201.226.255.254 | 201.226.255.255 | 65,534 |
| 228 | 201.227.0.0/16 | 201.227.0.1 to 201.227.255.254 | 201.227.255.255 | 65,534 |
| 229 | 201.228.0.0/16 | 201.228.0.1 to 201.228.255.254 | 201.228.255.255 | 65,534 |
| 230 | 201.229.0.0/16 | 201.229.0.1 to 201.229.255.254 | 201.229.255.255 | 65,534 |
| 231 | 201.230.0.0/16 | 201.230.0.1 to 201.230.255.254 | 201.230.255.255 | 65,534 |
| 232 | 201.231.0.0/16 | 201.231.0.1 to 201.231.255.254 | 201.231.255.255 | 65,534 |
| 233 | 201.232.0.0/16 | 201.232.0.1 to 201.232.255.254 | 201.232.255.255 | 65,534 |
| 234 | 201.233.0.0/16 | 201.233.0.1 to 201.233.255.254 | 201.233.255.255 | 65,534 |
| 235 | 201.234.0.0/16 | 201.234.0.1 to 201.234.255.254 | 201.234.255.255 | 65,534 |
| 236 | 201.235.0.0/16 | 201.235.0.1 to 201.235.255.254 | 201.235.255.255 | 65,534 |
| 237 | 201.236.0.0/16 | 201.236.0.1 to 201.236.255.254 | 201.236.255.255 | 65,534 |
| 238 | 201.237.0.0/16 | 201.237.0.1 to 201.237.255.254 | 201.237.255.255 | 65,534 |
| 239 | 201.238.0.0/16 | 201.238.0.1 to 201.238.255.254 | 201.238.255.255 | 65,534 |
| 240 | 201.239.0.0/16 | 201.239.0.1 to 201.239.255.254 | 201.239.255.255 | 65,534 |
| 241 | 201.240.0.0/16 | 201.240.0.1 to 201.240.255.254 | 201.240.255.255 | 65,534 |
| 242 | 201.241.0.0/16 | 201.241.0.1 to 201.241.255.254 | 201.241.255.255 | 65,534 |
| 243 | 201.242.0.0/16 | 201.242.0.1 to 201.242.255.254 | 201.242.255.255 | 65,534 |
| 244 | 201.243.0.0/16 | 201.243.0.1 to 201.243.255.254 | 201.243.255.255 | 65,534 |
| 245 | 201.244.0.0/16 | 201.244.0.1 to 201.244.255.254 | 201.244.255.255 | 65,534 |
| 246 | 201.245.0.0/16 | 201.245.0.1 to 201.245.255.254 | 201.245.255.255 | 65,534 |
| 247 | 201.246.0.0/16 | 201.246.0.1 to 201.246.255.254 | 201.246.255.255 | 65,534 |
| 248 | 201.247.0.0/16 | 201.247.0.1 to 201.247.255.254 | 201.247.255.255 | 65,534 |
| 249 | 201.248.0.0/16 | 201.248.0.1 to 201.248.255.254 | 201.248.255.255 | 65,534 |
| 250 | 201.249.0.0/16 | 201.249.0.1 to 201.249.255.254 | 201.249.255.255 | 65,534 |
| 251 | 201.250.0.0/16 | 201.250.0.1 to 201.250.255.254 | 201.250.255.255 | 65,534 |
| 252 | 201.251.0.0/16 | 201.251.0.1 to 201.251.255.254 | 201.251.255.255 | 65,534 |
| 253 | 201.252.0.0/16 | 201.252.0.1 to 201.252.255.254 | 201.252.255.255 | 65,534 |
| 254 | 201.253.0.0/16 | 201.253.0.1 to 201.253.255.254 | 201.253.255.255 | 65,534 |
| 255 | 201.254.0.0/16 | 201.254.0.1 to 201.254.255.254 | 201.254.255.255 | 65,534 |
| 256 | 201.255.0.0/16 | 201.255.0.1 to 201.255.255.254 | 201.255.255.255 | 65,534 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |